Автор Тема: Попытка завести гарнитуру plantronics blackwire c310-m  (Прочитано 9817 раз)

Оффлайн hasculdr

  • Давно тут
  • **
  • Сообщений: 617
Выпилил pulse, поставил как написано alsa + автоматическое переключение звуковых карт. Для удобства не хватает регулятора в трее xfce, как было для pavucontrol. Сейчас звук управляется только с аппаратного регулятора гарнитуры.

Оффлайн Speccyfighter

  • Мастер
  • ***
  • Сообщений: 9 838
Выпилил pulse, поставил как написано alsa + автоматическое переключение звуковых карт. Для удобства не хватает регулятора в трее xfce, как было для pavucontrol. Сейчас звук управляется только с аппаратного регулятора гарнитуры.

Такой микшер есть.
Этот пакет называется xfce4-mixer:
# apt-cache depends xfce4-mixer
xfce4-mixer-4.11.0-alt2
  Требует: xfce4-panel >= 4.10
  Требует: gst-plugins-base
  Требует: </lib/ld-linux.so.2>
    glibc-core-6:2.23-alt3.M80P.2
  Требует: <libc.so.6(GLIBC_2.0)>
    glibc-core-6:2.23-alt3.M80P.2
  Требует: <libc.so.6(GLIBC_2.1.3)>
    glibc-core-6:2.23-alt3.M80P.2
  Требует: <libcairo.so.2>
    libcairo-1:1.14.4-alt1
  Требует: <libdbus-glib-1.so.2>
    libdbus-glib-1:0.106-alt1
  Требует: <libgdk-x11-2.0.so.0>
    libgtk+2-2.24.31-alt1
  Требует: <libgdk_pixbuf-2.0.so.0>
    libgdk-pixbuf-2.36.11-alt0.M80P.1
  Требует: <libglib-2.0.so.0>
    glib2-2.52.3-alt0.M80P.1
  Требует: <libgobject-2.0.so.0>
    glib2-2.52.3-alt0.M80P.1
  Требует: <libgstaudio-0.10.so.0>
    libgst-plugins-0.10.36-alt1
  Требует: <libgstinterfaces-0.10.so.0>
    libgst-plugins-0.10.36-alt1
  Требует: <libgstreamer-0.10.so.0>
    libgstreamer-0.10.36-alt1
  Требует: <libgtk-x11-2.0.so.0>
    libgtk+2-2.24.31-alt1
  Требует: <libkeybinder.so.0>
    libkeybinder-0.3.0-alt4.git20120617
  Требует: <libm.so.6(GLIBC_2.1)>
    glibc-core-6:2.23-alt3.M80P.2
  Требует: <libunique-1.0.so.0>
    libunique-1.1.6-alt7.1
  Требует: <libxfce4panel-1.0.so.4>
    libxfce4panel-4.12.2-alt0.M80P.1
  Требует: <libxfce4ui-1.so.0>
    libxfce4ui-4.12.1-alt1
  Требует: <libxfce4util.so.7>
    libxfce4util-4.12.1-alt1
  Требует: <libxfconf-0.so.2>
    libxfconf-4.12.0-alt1.1
  Требует: <rtld(GNU_HASH)>
    glibc-core-6:2.23-alt3.M80P.2
# rpm -ql xfce4-mixer | grep bin/
/usr/bin/xfce4-mixer

и притянет за собой около 4-рёх пакетов с gst-0.10:
# apt-get install xfce4-mixer
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
Следующие дополнительные пакеты будут установлены:
  gst-plugins-base gstreamer libkeybinder liborc-test
Следующие НОВЫЕ пакеты будут установлены:
  gst-plugins-base gstreamer libkeybinder liborc-test xfce4-mixer
0 будет обновлено, 5 новых установлено, 0 пакетов будет удалено и 100 не будет обновлено.
Необходимо получить 0B/1121kB архивов.
После распаковки потребуется дополнительно 4733kB дискового пространства.
Продолжить? [Y/n]

Как это всё выглядит, в том порядке как на скриншотах.

Последний скриншот, - переключение микшера на карту.
Порядок использования:
- Подключить usb-гарнитуру
- Через ПКМ на микшере > опция меню Свойства - переключить микшер на гарнитуру
- Через ПКМ на микшере > опция меню Свойства - переключить микшер на набортный аудиочип
- Отключить гарнитуру

Оффлайн Speccyfighter

  • Мастер
  • ***
  • Сообщений: 9 838
Но честно говоря, в xfce4-mixer проще управлять через окно Регулятор громкости:
ПКМ по xfce4-mixer на панели > Опция меню Запустить микшер

Оффлайн Speccyfighter

  • Мастер
  • ***
  • Сообщений: 9 838
Переключение карт в PNMixer

- ПКМ на pnmixer > опция меню Параметры
- Вкладка Устройство
- Опция Карта:
- Выбрать карту
- Применить
- OK

Перед отключением usb-гарнитуры, менять карту в Параметры необязательно.
usb-гарнитуру можно просто выдернуть, - pnmixer сам сбросит установки и предупредит, - скриншот2.
Главное чтобы окно Параметры PNMixer было закрыто перед следующим выбором карты для регулировки.

Субъективно, для переключения между набортным аудио PCH и Logitech USB Headset, pnmixer удобнее, - просто выдернул usb-гарнитуру и всё.
Но это дело вкуса.

Речь естессно не о самом переключении карт, а о выборе регулировки для карты.
« Последнее редактирование: 08.02.2019 20:22:28 от Speccyfighter »